@font-face {
  font-family: 'Jangle';
  font-weight: 400;
  src: url('./fonts/Circular-Book.woff2') format('woff2');
}

@font-face {
  font-family: 'Jangle';
  font-weight: 600;
  src: url('./fonts/Circular-Medium.woff2') format('woff2');
}

@font-face {
  font-family: 'Jangle';
  font-weight: 800;
  src: url('./fonts/Circular-Bold.woff2') format('woff2');
}

@font-face {
  font-family: 'Jangle';
  font-weight: 400;
  src: url('./fonts/Circular-Book-Cyrillic.woff2') format('woff2');
}

@font-face {
  font-family: 'Jangle';
  font-weight: 600;
  src: url('./fonts/Circular-Medium-Cyrillic.woff2') format('woff2');
}

@font-face {
  font-family: 'Jangle';
  font-weight: 800;
  src: url('./fonts/Circular-Bold-Cyrillic.woff2') format('woff2');
}

* {
  box-sizing: border-box;
}

#root {
  // display: flex;
  // flex-direction: column;
  //height: 100%;
  min-height: 100%;
}

html,
html {
  height: 100%;
  min-height: 100%;
}
#root {
  height: 100%;
  min-height: 100%;
}

body {
  height: 100%;
  min-height: 100%;
  margin: 0;
  padding: 0;
  font-size: 14px;
  font-family: 'Jangle', -apple-system, BlinkMacSystemFont, Roboto, Helvetica Neue,
    sans-serif !important;
  letter-spacing: 0 !important;
  background: #1f8838;
}

a {
  color: inherit;
  text-decoration: none;
}

.footer {
  flex-shrink: 0;
  text-align: center;
  background-color: #373739;
  color: white;
  height: 100px;
  position: fixed;
  bottom: 0;
  width: 100%;
}

/*
  Notification
 */
.notification-container-top-right {
  margin-top: 62px;
  margin-right: 20px;
  width: auto;
  .n-parent {
    min-width: 350px !important;
  }
}
.notification-item .notification-content {
  padding: 15px !important;
  max-width: 650px;
  white-space: pre-line;
  max-height: 300px;
  overflow-y: auto;
  cursor: default;
}

.notification-content::-webkit-scrollbar-track {
  background: transparent !important;
}
.notification-content::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.3) !important;
  border-radius: 2px;
}
.notification-content::-webkit-scrollbar-thumb:hover {
  background: rgba(0, 0, 0, 0.5) !important;
}
.notification-content::-webkit-scrollbar {
  width: 8px !important;
  height: 8px !important;
}
.notification-item .notification-close::after {
  font-size: 20px !important;
}

.notification-item .notification-close {
  cursor: pointer;
  width: 30px !important;
  height: 30px !important;
  transform: translate(5px, -5px);
  background-color: transparent;
}

.notification-message .copy-message {
  position: absolute;
  top: 9px;
  right: 30px;
}

.show-on-hover {
  opacity: 0 !important;
}
.MuiInputBase-root:hover .show-on-hover {
  opacity: 1 !important;
}

[class^='MuiInputBase-root']:hover .show-on-hover {
  opacity: 1 !important;
}

/*
  Scroll
*/

.fullWidth {
  width: 100%;
}

.pointer {
  cursor: pointer;
}

.select-none {
  user-select: none !important;
  pointer-events: none !important;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  /* display: none; <- Crashes Chrome on hover */
  -webkit-appearance: none;
  margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

input[type='number'] {
  -moz-appearance: textfield; /* Firefox */
}

input[placeholder] {
  text-overflow: ellipsis;
}
input::-moz-placeholder {
  text-overflow: ellipsis;
}
input:-moz-placeholder {
  text-overflow: ellipsis;
}
input:-ms-input-placeholder {
  text-overflow: ellipsis;
}

.rt-table div {
  min-width: initial !important;
}

.rt-td,
.rt-th {
  width: 0 !important;
}

/*[class*="legendNotched"] {
  max-width: 0.01px !important;
}*/

/**
  Для Подсказки
 */
.text-primary {
}
.text-secondary {
}

// color
.color-primary {
}
.color-secondary {
}
.color-success {
}
.color-error {
}

// background
.bg-color {
}
.bg-primary {
}
.bg-secondary {
}

// border
.border {
}
.border-top {
}
.border-radius {
}
.border-primary {
}
.border-secondary {
}

.radius,
.radius-tl,
.radius-tr,
.radius-br,
.radius-bl,
.radius-large,
.radius-large-tl,
.radius-large-tr,
.radius-large-br,
.radius-large-bl {
  // это для подсказки
}

.fw-2 {
  font-weight: 200;
}
.fw-3 {
  font-weight: 300;
}
.fw-4 {
  font-weight: 400;
}
.fw-5 {
  font-weight: 500;
}
.fw-6 {
  font-weight: 600;
}
.fw-7 {
  font-weight: 700;
}
.fw-8 {
  font-weight: 800;
}

.fs-10 {
  font-size: 10px;
}
.fs-11 {
  font-size: 11px;
}
.fs-12 {
  font-size: 12px;
}
.fs-13 {
  font-size: 13px;
}
.fs-14 {
  font-size: 14px;
}
.fs-15 {
  font-size: 15px;
}
.fs-16 {
  font-size: 16px;
}
.fs-17 {
  font-size: 17px;
}
.fs-18 {
  font-size: 18px;
}
.fs-19 {
  font-size: 19px;
}
.fs-20 {
  font-size: 20px;
}
.fs-21 {
  font-size: 21px;
}
.fs-22 {
  font-size: 22px;
}
.fs-23 {
  font-size: 23px;
}
.fs-24 {
  font-size: 24px;
}
.fs-25 {
  font-size: 25px;
}
.fs-26 {
  font-size: 26px;
}
.fs-27 {
  font-size: 27px;
}
.fs-28 {
  font-size: 28px;
}
.fs-29 {
  font-size: 29px;
}
.fs-30 {
  font-size: 30px;
}

.desktop {
  display: inherit;
}
.mobile {
  display: none !important;
}

#content {
  //min-height: calc(100vh - 298px);
}

.grow1 {
  flex-grow: 1;
}
.grow2 {
  flex-grow: 2;
}
.grow3 {
  flex-grow: 3;
}

.flex1 {
  flex: 1;
}
.flex2 {
  flex: 2;
}
.flex3 {
  flex: 3;
}
.flex4 {
  flex: 4;
}
.flex5 {
  flex: 5;
}
.flex6 {
  flex: 6;
}
.flex7 {
  flex: 7;
}
.flex8 {
  flex: 8;
}
@media screen and (max-width: 743px) {
  .desktop {
    display: none !important;
  }
  .mobile {
    display: inherit !important;
  }
  .content {
    //min-height: calc(100vh - 200px);
  }
}

.shadow {
  box-shadow: rgba(0, 0, 0, 0.15) 0 10px 37px !important;
}
